# Mercurial module for Puppet

This module provides a class to manage mercurial.

## Parameters

* ensure: ensure value applied to the package. Can only be 'present', 'installed', 'absent', or 'purged' if repo is set. (default: 'present')
* repo: Id of the repository to install from. Only supported on RedHat-based systems. The repository must be set up separately. (default: 'base')

## Examples

To install mercurial:

    class { 'mercurial': }

To install mercurial from the rpmforge-extras repository from a RedHat-based
system:

    class { 'mercurial':
      repo => 'rpmforge-extras',
    }

To remove mercurial:

    class { 'mercurial':
      ensure => 'absent'
    }
